using System;

namespace Bespoke.Robotics.BrainStem
{
	/// <summary>
	/// General digital IO pin configuration flags. Used in conjunction
	/// with the CommandManager.ConfigureDigitalIoPin() method.
	/// </summary>
	[Flags]
	public enum DigitalIoPinConfigurationFlags
	{
		/// <summary>
		/// The direction of the pin, either input or output.
		/// </summary>
		Direction		= 1 << 0,

		/// <summary>
		/// The enabled state of the digital IO pin.
		/// </summary>
		Enabled			= 1 << 1,

		/// <summary>
		/// The inverted state of the servo.
		/// </summary>
		Trigger			= 1 << 2,

		/// <summary>
		/// 
		/// </summary>
		TargetState		= 1 << 3,

		/// <summary>
		/// 
		/// </summary>
		TimerMode		= 1 << 4
	}
}
