using System;

namespace Bespoke.Robotics.BrainStem
{
	/// <summary>
	/// List of available digital IO timer modes.
	/// </summary>
	public enum DigitalIoTimerModeType
	{
		/// <summary>
		/// Once started, the edge timer measures the elapsed time until a transition
		/// from the non-target state to the target state occurs on the specified digital input pin.
		/// </summary>
		Edge		= 0,

		/// <summary>
		/// Once started, the width timer waits for a transition from the non-target state to the
		/// target state on the specified digital input pin. Then it measures the elapsed time
		/// until the pin returns to the non-target state.
		/// </summary>
		Width		= 1
	}
}