using System;
using System.Text;
using System.Reflection;

namespace Bespoke.Robotics.Common
{
    /// <summary>
    /// A set of commonly used methods.
    /// </summary>
    public class Library
    {
		/// <summary>
		/// Convert a byte array of ASCII characters to a string.
		/// </summary>
		/// <param name="characters"></param>
		/// <returns>A string with the same characters in the byte array.</returns>
		public static string ASCIIByteArrayToString(byte[] characters)
		{
			if (characters == null)
			{
				return string.Empty;
			}
			else
			{
				ASCIIEncoding encoding = new ASCIIEncoding();
				return encoding.GetString(characters);
			}
		}

        /// <summary>
        /// Convert a byte array of ASCII characters to a string.
        /// </summary>
        /// <param name="characters"></param>
        /// <returns>A string with the same characters in the byte array.</returns>
        public static string UnicodeByteArrayToString(byte[] characters)
        {
            if (characters == null)
            {
                return string.Empty;
            }
            else
            {
                UnicodeEncoding encoding = new UnicodeEncoding();
                return encoding.GetString(characters);
            }
        }
    }
}
